$(function() {
	$(".choiceFile").click(function(){
		$(this).parent().prev().find("#processWord").click();
	});
	$(".fileContent").click(function(){
		if($(this).find(".spanHolder").length){
			$(this).parent().prev().click();
		}
	})
	$("#deployProcessDefinition").delegate("input[id='processWord']","change",function(){
		var that=$(this);
		var fileWrapper='<div class="file-wrapper"><div class="file-icon" style="color: #54c3fe"><div class="file-icon-image"></div></div>'+
		'<div class="content"><div class="file-name"></div><div class="file-size small text-muted"></div></div>'+
		'<div class="actions" style="width:0.516rem"><a class="btn btn-link btn-delete-file" style="float:right"><em style="display:none">删除</em><i class="operateIconfont operateIcon-shanchu"></i></a>'+
		'</div></div>';
		var file=$(this).prop('files')[0];
		if(file){
			var type=file.type;
			var indexof=type.indexOf("/");
			var fileType='';
			if(indexof!=-1){
				var index=parseInt(indexof)+1;
				fileType=type.substring(index,type.length).toUpperCase();
			}
			if(fileType.toLowerCase().indexOf('zip') >=0) {
			//if(fileType.toLowerCase()=='zip'){
				$(this).next().find(".fileContent").empty().append(fileWrapper);
				$(this).next().find(".btn-delete-file").attr("title",'(zip格式)附件')
				$(this).next().find('.fileContent .file-name').text(file.name);
				$(this).next().find('.fileContent .file-size').text(file.type);
				var reader=new FileReader();
				reader.onload=function(e){
					e=e||window.event;
					that.next().find(".file-icon-image").append('<i class="icon icon-inbox"></i>')
				}
				reader.readAsDataURL(file);
			}else {
				new $.zui.Messager('请选择压缩（zip格式）文件', {
          		    type: 'danger',
          		    time:1500
          		}).show();
				$(this).val(null);
			}
			$(".fileContent").css({"border":"none"});
			$(".fileContent .spanHolder").text("附件").css({"color":"#ddd","display":"none"});
		}		
	})
	$("#deployProcessDefinition").delegate(".btn-delete-file","click",function(){
		$(this).parents(".file-wrapper").before('<span class="spanHolder">'+$(this).attr("title")+'</span>');
		$(this).parents(".uploaderFile").prev().val(null);
		$(this).parents(".file-wrapper").remove();
	})
	$("#processName").keyup(function(){
		if($(this).val()){
			$("#processName-error").css({"display":"none"})
		}else {
			if(!$(this).parent().find("#processName-error").length){
				$(this).parent().append('<label id="processName-error" class="error" for="processName">流程部署名称不能为空</label>');
			}else {
				$("#processName-error").css({"display":"block"})
			}
		}
	})
	$(".addSure").click(function(){
		var flag=false;
		if($("#processName").val().length==0){
			if(!$("#processName").parent().find("#processName-error").length){
				$("#processName").parent().append('<label id="processName-error" class="error" for="processName">流程部署名称不能为空</label>');
			}else {
				$("#processName-error").css({"display":"block"})
			}
			flag=true;
		}
		if(!$("#processWord").val()){
			if(!$("#processWord").parent().find(".processWord-error").length){
				$(".fileContent").css({"border":"1px solid #f00"});
				$(".fileContent .spanHolder").text("附件不能为空").css({"color":"red","display":"block"});
			}
			flag=true;
		}
		if(!flag){
			$("#deployProcessDefinition").submit();
		}
	})
	$("#deployProcessDefinition").validate({
		submitHandler : function(form) {
			$("#myModal-addprocessInfor .addSure").addClass("loadingCircle");
			$(form).ajaxSubmit({
				success : function(e) {
					if (e && e.success == true) {
						new $.zui.Messager('保存成功', {
							type : 'success',
							time : 1500
						}).show();
						$("#myModal-addprocessInfor .addSure").removeClass("loadingCircle");
						$("#myModal-addprocessInfor").modal("hide");
						$("#myModal-addprocessInfor").on('hidden.zui.modal', function(){
							//刷新表格
							$('#processList').trigger('reloadGrid');
						});
					}else {
						new $.zui.Messager('保存失败:'+e.msg, {
							type : 'danger',
							time : 1500
						}).show();
						$("#myModal-addprocessInfor .addSure").removeClass("loadingCircle");
					}
				}
			})
		}
	})
})